body{
	scroll-behavior: smooth !important;
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
}
input:focus {
	width: 100%;
	border-top-style: none !important;
	border-right-style: none !important;
	border-left-style: none !important;
}

img{
	height: 10vh !important;
}

.btn:focus,.btn:active {
	outline: none !important;
	box-shadow: none;
}


#redirectContactPage{
	position: fixed;
	left: 0;
	bottom: 0;
	z-index: 100;
}
#navLogo{
	position: relative;
	left: calc(-50% + 3px);
	transition: all 0.3s linear;
}
#navLogo:hover{
	left: 0;
}
#navLogo:after{
	content: 'ieda';
}
.nav-link{
	color: black !important;
	letter-spacing: 0.3rem;
	transition: all 0.2s linear;
}
.nav-link:hover {
	transform: scale(1.1);
}
.About{
	height: 10vh !important;
}

#About-2 h1::after {
	content: "";
	animation: addText 1s linear 1 forwards;
}

@keyframes addText{
	12%{
		content: "A";
	}
	24%{
		content: "Ab";
	}
	36%{
		content: "Abo";
	}
	48%{
		content: "Abou";
	}
	60%{
		content: "About";
	}
	72%{
		content: "About ";
	}
	84%{
		content: "About M";
	}
	100%{
		content: "About Me";
	}
}

.dotted {
	border: 5px dotted gray;
	border-top-style: none;
	border-left-style: none;
	border-right-style: none;
	width:  10%;
}

.display-4{
	font-size: 180% !important;
}

.opacity-mod{
	background: rgba(246, 247, 248, 0.74) !important;
	justify-content: space-between !important;
	padding: 8px 0 !important;
}


.cards{
	overflow: visible;
	position: relative !important;
	min-height: 100%;
}

.card > img {
	width: 30% !important;
	height: auto;
	position: absolute;
	top: -3rem;
	z-index: 1;
}

.card-img-left{
	left: 0;
}

.card-img-right{
	right: 0;
}

.card-img-center{
	right: 0;
	left: 0;
	top: 0;
}

.card-title{
	position: relative;
	z-index: 2 !important;
}

.vh-50{
	height: 30vh !important;
}

.card-body{
	line-height: 2 !important;
}

.dynamic-background{
	background-image: url("./images/skills.jpeg");
	background-size: cover;
	background-position: center center !important;
	height: calc(90vh - 200px);
}


span > i{
	color: black;
}


#grid-languages {
	display: grid;
	grid-template-columns: 1fr 1fr;
	justify-items: start;
}

.projectImgHeight {
	height: 30vh;
	background-image: url("./images/underConstruction.png");
	background-size: 100% 100%;
}

form {
	position: -webkit-sticky !important;
	position: sticky !important;
	top: 8rem;
}
#rightRow{
	position: relative;
	height: 100vh;
}

.min-vh-50 {
	min-height: 75vh;
}
textarea {
	resize: none;
}

.navFixAlternative {
	height: 17vh !important;
}

.min-vh-200{
	min-height: 200vh;
}

.card-text{
	line-height: 2.5 !important;
}

.card{
	transition: all 0.3s ease-out;
	padding: 0 !important;
}

.card:hover{
	transform: scale(1.05);
}

.nav-pills .nav-link{
	color: whitesmoke !important;
}

.nav-pills .nav-link.active{
	color: whitesmoke !important;
	background-color: green !important;
}


#navbarSpy{
	position: relative !important;
}

.card-header{
	margin: 0 !important;
	padding: 0 !important;
}

.projectCard{
	height: 300px;
}

/*Error Page*/

#errorContainer {
	background: url('./images/Error/error.png');
	background-repeat: no-repeat;
	background-size: auto 80%;
	background-position: center;
}

.gradientBG{
	background: linear-gradient(270deg, rgba(115,115,121,0) 0%, rgba(115,115,121,0.5746673669467788) 51%, rgba(115,115,121,1) 100%);
}

/**/


/*Modal*/

.animate__animated.animate__fadeInBottomLeft {
	--animate-duration: 0.3s;
}

.contactVh{
	height: 80vh;
}

#contactTree{
	background: url('../images/contactTree.svg');
	background-size: 100% 100%;
	height: 100%;
	display: none;
}
.modal {
	padding: 0 !important;
}
.modal-content{
	border-radius: 25px !important;
}
.modal-header{
	border-top-right-radius: inherit;
	border-top-left-radius: inherit;
	border: 0 !important;
	border-top-left-radius: 25px !important;
	border-top-right-radius: 25px !important;
}
.modal-body{
	border-bottom-left-radius: inherit;
	border-bottom-right-radius: inherit;
	padding: 0 !important;
}
.modal-body div {
	border-bottom-left-radius: inherit;
	border-bottom-right-radius: inherit;
}

.contactVh i{
	color: white;
	text-decoration-line: none !important;
	display: inline-block;
}
.contactVh i:hover{
	transform: scale(1.3);
}

.fab.fa-facebook.fa-2x:hover{
	color: blue;
	background-clip: content-box;
	background-color: white !important;
	border-radius: 100%;
}
.fab.fa-linkedin.fa-2x:hover{
	color: blue;
}
.fab.fa-youtube.fa-2x:hover{
	color: red;
	background-color: white;
	border-radius: 10px;
}
.fab.fa-steam.fa-2x:hover{
	color: black;
	background-color: white;
	border-radius: 50%;
}
/**/
@media only screen and (max-width: 998px){
	.About{
		height: 10vh !important;
	}
	#contactTree{
		order: -1 !important;
		height: 40% !important;
	}

}

@media only screen and (max-width: 769px){
	.About{
		height: 10vh !important;
		display: block !important;
	}
}
@media only screen and (max-width: 577px){
	.About{
		height: 10vh !important;
		display: block !important;
	}
}